#ifndef __BPG_LOOKUP_H__
#define __BPG_LOOKUP_H__ 1

#include <map>
#include <vector>
#include <tulip/Graph.h>

#include "bpg/BPGConfig.h"

class ImportBiometricPowerGraph;

class BPG_UTILS_SCOPE BPGLookup {
  friend ImportBiometricPowerGraph;

  public:

  BPGLookup()
  {
  }


  const std::vector< tlp::node > & getIndividuals() const {
    return getUsers();
  };
  const std::vector< tlp::node > & getUsers() const;
  const std::vector< tlp::node > & getSamples() const;
  const std::vector< tlp::node > & getSamplesFor(const tlp::node user) const;

  const tlp::node getUser(int _id) const;

  // TODO Remove root from the arguments
  const std::vector< tlp::edge > & getIntraComparisonOfUser(tlp::Graph *const root, const tlp::node user) const;
  // TODO Remove root from the arguments
  const std::vector< tlp::edge > & getInterComparisonVectorToUser(tlp::Graph *const root, const tlp::node user) const;

  const std::vector< tlp::edge >& getAcceptedComparisons(tlp::Graph *root, const double threshold) const;

#ifndef NDEBUG
  void checkup(tlp::Graph *g);
#endif

  private:
    mutable std::map< tlp::node, std::vector< tlp::edge >* > _user2IntraEdges;
    mutable std::map< tlp::node, std::vector< tlp::edge >* > _user2InterEdges;
    mutable std::map< double, std::vector< tlp::edge >* > _threshold2AcceptedEdges; // XXX Use a datastructure with a fixed number of buckets

    std::map< unsigned int, tlp::node > _userId2node;
    std::map< std::pair< unsigned int, unsigned int >, tlp::node > _sampleId2node;
    std::map< unsigned int, tlp::Graph * > _userId2subgraph;

    std::map< tlp::node, std::vector<tlp::node> > _userNode2samplesNodes;
    std::vector< tlp::node> _users;
    std::vector< tlp::node> _samples;
};
#endif /* ifndef __BPG_LOOKUP_H__ */

