#ifndef GENUINESCOREEVOLUTION_H
#define GENUINESCOREEVOLUTION_H

#include <QWidget>

#include <qwt_plot.h>
#include <qwt_plot_curve.h>
#include <qwt_plot_grid.h>
#include <qwt_symbol.h>
#include <qwt_legend.h>

#include <vector>
#include <tulip/Graph.h>

namespace Ui {
class GenuineScoreEvolution;
}

class GenuineScoreEvolution : public QWidget
{
  Q_OBJECT

public:
  explicit GenuineScoreEvolution(QWidget *parent = 0);
  ~GenuineScoreEvolution();


public slots:
  void setGenuineScores(int userid, tlp::node usernode, double thr, const std::vector< double > &scores, const std::vector< bool > &acceptance);

private:
  Ui::GenuineScoreEvolution *ui;

  QwtPlotCurve *_curveAccepted;
  QwtPlotCurve *_curveRejected;




    std::vector< double > _xAccepted;
    std::vector< double > _yAccepted;
    std::vector< double > _xRejected;
    std::vector< double > _yRejected;





  tlp::node usernode;
  int userid;
};

#endif // GENUINESCOREEVOLUTION_H
