#ifndef IMPSOTORSCOREEVOLUTION_H
#define IMPSOTORSCOREEVOLUTION_H

#include <QWidget>

#include <qwt_plot.h>
#include <qwt_plot_curve.h>
#include <qwt_plot_grid.h>
#include <qwt_symbol.h>
#include <qwt_legend.h>

#include <vector>
#include <tulip/Graph.h>

namespace Ui {
class ImpostorScoreEvolution;
}

class ImpostorScoreEvolution : public QWidget
{
  Q_OBJECT

public:
  explicit ImpostorScoreEvolution(QWidget *parent = 0);
  ~ImpostorScoreEvolution();


public slots:
  void setImpostorScores(
    int userid, 
    int sampleid,
    tlp::node usernode, 
    tlp::node samplenode,
    double thr, 
    const std::vector< double > &scores, 
    const std::vector< bool > &acceptance/*,
    const std::vector< int > &claimed*/
    );

private:
  Ui::ImpostorScoreEvolution *ui;

  QwtPlotCurve *_curveAccepted;
  QwtPlotCurve *_curveRejected;

  std::vector< double > _xAccepted;
  std::vector< double > _yAccepted;

  std::vector< double > _xRejected;
  std::vector< double > _yRejected;

  tlp::node usernode;
  tlp::node samplenode;
  int userid;
  int sampleid;
};

#endif // IMPSOTORSCOREEVOLUTION_H
