#ifndef ROCWINDOW_H
#define ROCWINDOW_H

#include <QMainWindow>
#include <QVector>

#include "bpg/powergraphmanager.h"
#include <qwt_plot_curve.h>


namespace Ui {
class ROCWindow;
}

class ROCWindow : public QMainWindow
{
  Q_OBJECT

public:
  explicit ROCWindow(QWidget *parent, PowerGraphManager &pg);
  ~ROCWindow();


public slots:
  void showRoc(bool);
  void showDet(bool);
  void myContextMenu(const QPoint&);



private:
  Ui::ROCWindow *ui;
  PowerGraphManager &_pgManager;

  QVector< double > _TMR;
  QVector< double > _FNMR;
  QVector< double > _FMR;

  QwtPlotCurve _roc, _det;
};

#endif // ROCWINDOW_H
