#ifndef SCOREDISTRIBUTIONWINDOW_H
#define SCOREDISTRIBUTIONWINDOW_H

#include <QMainWindow>
#include <qwt_plot_curve.h>
#include <vector>
#include <array>
#include <qwt_plot_histogram.h>

class PowerGraphManager;


namespace Ui {
class ScoreDistributionWindow;
}

class ScoreDistributionWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit ScoreDistributionWindow(QWidget *parent, PowerGraphManager &pg);
    ~ScoreDistributionWindow();

private:
    Ui::ScoreDistributionWindow *ui;

    constexpr static size_t nb_buckets = 100;
    std::array<double, nb_buckets> _intraHist{0}, _interHist{0};

    QVector<QwtIntervalSample> _intraData{nb_buckets}, _interData{nb_buckets};
    QwtPlotHistogram _intraCurve, _interCurve;
};

#endif // SCOREDISTRIBUTIONWINDOW_H
