#ifndef THRESHOLDTOERRORSWINDOWS_H
#define THRESHOLDTOERRORSWINDOWS_H

#include <QMainWindow>

#include <qwt_plot_curve.h>
#include <vector>

class PowerGraphManager;

namespace Ui {
class ThresholdToErrorsWindow;
}

class ThresholdToErrorsWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit ThresholdToErrorsWindow(QWidget *parent, PowerGraphManager &pg);
    ~ThresholdToErrorsWindow();

private slots:
  void myContextMenu(const QPoint&);

private:
    void buildGraph(PowerGraphManager &pg);

private:
    Ui::ThresholdToErrorsWindow *ui;

    std::vector<double> _thresholds;
    std::vector<double> _fmr;
    std::vector<double> _fnmr;


  QwtPlotCurve _fmrCurve, _fnmrCurve;
};

#endif // THRESHOLDTOERRORSWINDOWS_H
