#ifndef ZOOPLOTWINDOW_H
#define ZOOPLOTWINDOW_H

#include <QMainWindow>
#include "bpg/powergraphmanager.h"
#include <qwt_plot_curve.h>
#include<array>
#include<vector>

namespace Ui {
class ZooPlotWindow;
}

class ZooPlotWindow : public QMainWindow
{
  Q_OBJECT

public:
  explicit ZooPlotWindow(QWidget *parent, PowerGraphManager &pg);
  ~ZooPlotWindow();


private slots:
	void myContextMenu(const QPoint& p);

private:
  Ui::ZooPlotWindow *ui;
  PowerGraphManager &_pgManager;

  std::vector< double > _meanGenuine;
  std::vector< double > _meanImpostor;

  QwtPlotCurve _zoo;
  std::array<QwtPlotCurve, 4> _axis;
  std::array<QVector< QPointF >, 4 > _coords;
};

#endif // ZOOPLOTWINDOW_H
